package com.kioor.modules.demo.service;

import com.kioor.common.service.BaseService;
import com.kioor.modules.demo.dto.ProductParamsDTO;
import com.kioor.modules.demo.entity.ProductParamsEntity;

import java.util.List;

/**
 * 产品参数管理
 *
 * @author Mark sunlightcs@gmail.com
 */
public interface ProductParamsService extends BaseService<ProductParamsEntity> {

    void saveOrUpdate(Long productId, List<ProductParamsDTO> list);

    void deleteByProductIds(Long[] productIds);

    List<ProductParamsDTO> getList(Long productId);
}